## linux-restricted-modules-2.6.24 2.6.24.12

=== fritz/fcusb/src/Makefile ===
# COMMON

CARD		:= fcusb
LIBDIR		:= /var/lib/fritz
OBJECTS		:= main.o driver.o tools.o tables.o queue.o lib.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$(shell pwd) modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook1

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook1) hardy; urgency=low

  * Bumped version number

 -- Michael Frey <michael.frey@canonical.com>  Thu, 24 Jul 2008 15:32:27 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44netbook3) hardy; urgency=low

  * Fix broadcom Makefile to get correct objects from split-module.
    LP: #243930

 -- Michael Frey <michael.frey@canonical.com>  Wed, 09 Jul 2008 18:59:30 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44netbook2) hardy; urgency=low

  * New Broadcom wireless driver 5.10.27
  * Fix for LP#237364

 -- Michael Frey <michael.frey@canonical.com>  Wed, 09 Jul 2008 15:03:33 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44netbook1) hardy; urgency=low

  * New Madwifi version

 -- Michael Frey <michael.frey@canonical.com>  Mon, 07 Jul 2008 13:54:44 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44) hardy-proposed; urgency=low

  * Just ditch bcmwl from nic-restricted udeb.

 -- Ben Collins <ben.collins@canonical.com>  Thu, 26 Jun 2008 19:40:42 -0400

linux-restricted-modules-2.6.24 (2.6.24.13-19.43) hardy-proposed; urgency=low

  * Use split_module on wl.ko
  * Add wl_supported for lrm-common

 -- Ben Collins <ben.collins@canonical.com>  Thu, 26 Jun 2008 10:34:57 -0400

linux-restricted-modules-2.6.24 (2.6.24.13-19.42) hardy-proposed; urgency=low

  * ABI bump to -19

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 04 Jun 2008 10:43:41 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-18.41) hardy-security; urgency=low

  * Fix powerpc FTBS, need to explicitly disable Broadcom driver build.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 30 May 2008 10:49:48 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-18.40) hardy-security; urgency=low

  * Fix lpia FTBS. The build arch for the new Broadcom WL driver was
    not properly specified.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 15:02:53 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-18.39) hardy-security; urgency=low

  * Security upload with ABI bump to -18

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 11:25:17 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-17.38) hardy-proposed; urgency=low

  * Add new Broadcom driver that supports only PCI ID 14e4:4315. There is no
    overlap with any kernel driver, therefore no possiblity of regression.
  * Skip 17.37 version number since that is the Dell pre-installed
    version of LRM with this Broadcom driver. It was used by Dell but
    never got uploaded to the Ubuntu archive.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 28 May 2008 08:24:57 -0600

linux-restricted-modules-2.6.24 (2.6.24.12-17.36) hardy-proposed; urgency=low

  * nvidia: Do not divert libwfb.so, because if the xserver provides one
    it should be used. Remove the diversion in postinst. This caused at
    least problems with some websites making the xserver crash (LP: #212648),
    and missing or falsely colored shadows with compiz. (LP: #186382)
  * fglrx: Patch authatieventsd.sh to search for xauth files from
    /var/run/xauth/. Otherwise the session would freeze on logout for KDM
    users. Thanks Ilja Pavkovic! (LP: #118605)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 07 May 2008 11:27:35 +0300

linux-restricted-modules-2.6.24 (2.6.24.12-17.35) hardy-proposed; urgency=low

  * Kernel ABI bump to 17.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 02 May 2008 07:44:34 -0600

linux-restricted-modules-2.6.24 (2.6.24.12-16.34) hardy; urgency=low

  * Bump the ABI to 16.
  * rules: fix dh_strip to not strip the current versions of nvidia.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 11 Apr 2008 00:48:35 +0300

linux-restricted-modules-2.6.24 (2.6.24.12-15.33) hardy; urgency=low

  [ Matthias Klose ]
  * nvidia-glx: Install the TLS library in /usr/lib, symlink the one in
    /usr/lib/tls to the one in /usr/lib. LP: #205079.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 04 Apr 2008 16:59:50 +0300

linux-restricted-modules-2.6.24 (2.6.24.12-14.32) hardy; urgency=low

  * ABI bump to 14.
  * Madwifi 0.9.4 (LP: #208754):
    - fixes compilation for recently released kernel 2.6.24
    - introduces Minstrel rate control algorithm
    - introduces switch to turn ANI (Ambience Noise Immunity) off, which
      can help to improve performance (see also #705)
    - several bug fixes to improve stability
    - now defaults to radiotap headers in monitor mode
    - adds support for variable number of VAPs, tunable via module
      parameter
  * control: Drop the nvidia-kernel-ABIVER dependencies from nvidia-glx*, since
    fglrx is doing just fine without them, and they only create problems
    during upgrades when apt selects the first package to provide the
    virtual package. (LP: #188287)
  * ltmodem/serial.c: Modify to compile with 2.6.24. Enable ltmodem again.
    (LP: #210652)
  * Add openvz flavour.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 03 Apr 2008 01:45:22 +0300

linux-restricted-modules-2.6.24 (2.6.24.11-12.31) hardy; urgency=low

  * fglrx 8-3 (LP: #199304)
    - On workstation hardware 3D applications will no longer be corrupted
    if the screen width is not an integer multiple of 64 pixels, for
    example with a 1680x1050 wide screen display. Further details can be
    found in topic number 737-31720
    - Display flicker is no longer be noticed when the gnome screen-saver
    starts (LP: #198702)
    - Several image brightness and gamma-correction issues were
    resolved. Setting the gamma correction using xgamma, fglrx_xgamma,
    xorg.conf and in OpenGL games will all work as expected now.
    - Diagonal tearing will no longer be noticed when playing a video file
    using a video player that utilizes the XVideo extension
    - Video playback will no longer look blocky when playing a video file
    using a video player that utilizes the XVideo extension

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 11 Mar 2008 17:23:04 +0200



## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook2

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook2) hardy; urgency=low

  * New 10_27_9 Broadcom driver

 -- Michael Frey <michael.frey@canonical.com>  Tue, 26 Aug 2008 18:52:23 -0400

## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook3

=== ath_hal/Makefile ===
#
# Copyright (c) 2002-2005 Sam Leffler, Errno Consulting
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath/Makefile#12 $
#

#
# Makefile for the Atheros WLAN driver.
#

ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/..

include $(TOP)/Makefile.inc

obj-m		+= ath_hal.o
ath_hal-objs	:= ah_os.o $(TARGET).hal.o

hostprogs-y	:= uudecode

# For older 2.6 kernels
host-progs	:= $(hostprogs-y)

ifdef LINUX24
export-objs	:= ah_os.o
endif

INCS += -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+= $(INCS) $(COPTS) -DOPT_AH_H=\"$(HAL)/public/$(TARGET).opt_ah.h\"

ifeq ($(TARGET),xscale-be-elf)
LDOPTS += --no-warn-mismatch
endif

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

ifdef LINUX24
$(obj)/uudecode: $(obj)/uudecode.c
	$(HOSTCC) $(HOSTCFLAGS) -o $@ $<
endif

quiet_cmd_uudecode = UUDECODE $@
      cmd_uudecode = $(obj)/uudecode -o $@ $<

$(obj)/$(TARGET).hal.o: $(HAL)/public/$(TARGET).hal.o.uu $(obj)/uudecode
ifdef LINUX24
	$(Q)$(obj)/uudecode -o $@ $<
else
	$(call if_changed,uudecode)
endif

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install ath_hal.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	rm -f *~ *.o *.ko *.mod.c uudecode .*.cmd
	rm -f .depend .version .*.o.flags .*.o.d
	rm -rf .tmp_versions

ath_hal.o: $(ath_hal-objs)
	$(LD) $(LDOPTS) -o ath_hal.$(KMODSUF) -r $(ath_hal-objs)

=== docs/Makefile ===
DOCS = users-guide.pdf
DOCSOURCES = users-guide.tex

PS2PDF = ps2pdf
DVIPS = dvips
LATEX = latex

LATEX_RERUN = grep -i "LaTeX Warning:.*Rerun"

all: $(DOCS)

%.ps: %.dvi
	$(DVIPS) -o $@ $<

%.pdf: %.ps
	$(PS2PDF) $< $@

%.dvi: %.tex
	while $(LATEX) $< </dev/null; do \
		test -f $*.log || exit 1; \
		$(LATEX_RERUN) $*.log || exit 0; \
	done

clean:
	rm -f *.dvi *.ps *.aux *.log *.toc

maintainer-clean: clean
	rm -f *.pdf

=== tools/Makefile ===
#	$FreeBSD: src/tools/tools/ath/Makefile,v 1.3 2003/12/07 21:38:44 sam Exp $
#
# Copyright (c) 2002-2005	Sam Leffler, Errno Consulting
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
TOP = ..

# USER_CROSS_COMPILE is a string that is prepended to all toolchain
# executables, such as gcc, ld, as, objcopy etc.  This is used for
# cross-compiling userspace binaries.  If not defined, CROSS_COMPILE
# is used.
USER_CROSS_COMPILE ?= $(CROSS_COMPILE)
STRIP ?= $(USER_CROSS_COMPILE)strip
CC = $(USER_CROSS_COMPILE)gcc

BINDIR ?= /usr/local/bin
MANDIR ?= /usr/local/man

#
# Path to the HAL source code.
#
ifeq ($(HAL),)
HAL=   $(TOP)/hal
endif


ALL=	athstats 80211stats athkey athchans athctrl \
	athdebug 80211debug wlanconfig ath_info

all:	$(ALL)

INCS=	-I. -I$(HAL) -I$(TOP)
CFLAGS=	-g -O2 -Wall
ALL_CFLAGS= $(CFLAGS) $(INCS)
LDFLAGS=

all:	$(ALL)

athstats: athstats.c
	$(CC) -o athstats $(ALL_CFLAGS) -I$(TOP)/ath $(LDFLAGS) athstats.c
80211stats: 80211stats.c
	$(CC) -o 80211stats $(ALL_CFLAGS) $(LDFLAGS) 80211stats.c
athkey: athkey.c
	$(CC) -o athkey $(ALL_CFLAGS) $(LDFLAGS) athkey.c
athchans: athchans.c
	$(CC) -o athchans $(ALL_CFLAGS) $(LDFLAGS) athchans.c
athctrl: athctrl.c
	$(CC) -o athctrl $(ALL_CFLAGS) $(LDFLAGS) athctrl.c
athdebug: athdebug.c
	$(CC) -o athdebug $(ALL_CFLAGS) $(LDFLAGS) athdebug.c
wlanconfig: wlanconfig.c
	$(CC) -o wlanconfig $(ALL_CFLAGS) $(LDFLAGS) wlanconfig.c
80211debug: 80211debug.c
	$(CC) -o 80211debug $(ALL_CFLAGS) $(LDFLAGS) 80211debug.c
ath_info: ath_info.c
	$(CC) -o ath_info $(CFLAGS) ath_info.c

install: $(ALL)
	install -d $(DESTDIR)$(BINDIR)
	for i in $(ALL); do \
		install $$i $(DESTDIR)$(BINDIR)/$$i; \
		$(STRIP) $(DESTDIR)$(BINDIR)/$$i; \
	done
	install -d $(DESTDIR)$(MANDIR)/man8
	install -m 0644 man/*.8 $(DESTDIR)$(MANDIR)/man8

uninstall:
	for i in $(ALL); do \
		rm -f $(DESTDIR)$(BINDIR)/$$i; \
	done
	for i in $(ALL:=.8); do \
		rm -f $(DESTDIR)$(MANDIR)/man8/$$i; \
	done

clean:
	rm -f $(ALL) core a.out

=== ath_rate/amrr/Makefile ===
#
# Copyright (c) 2004 Sam Leffler, Errno Consulting
# Copyright (c) 2004 Video54 Technologies, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/amrr/Makefile#2 $
#

#
# Makefile for the Atheros Rate Control Support.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/../..

obj-m		+= ath_rate_amrr.o
ath_rate_amrr-objs	:= amrr.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+= $(INCS) $(COPTS) -DOPT_AH_H=\"public/$(TARGET).opt_ah.h\"

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install -m 0644 ath_rate_amrr.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

ath_rate_amrr.o: $(ath_rate_amrr-objs)
	$(LD) $(LDOPTS) -o ath_rate_amrr.$(KMODSUF) -r $(ath_rate_amrr-objs)

=== ath_rate/onoe/Makefile ===
#
# Copyright (c) 2004 Sam Leffler, Errno Consulting
# Copyright (c) 2004 Video54 Technologies, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer,
#    without modification.
# 2. Redistributions in binary form must reproduce at minimum a disclaimer
#    similar to the "NO WARRANTY" disclaimer below ("Disclaimer") and any
#    redistribution must be conditioned upon including a substantially
#    similar Disclaimer requirement for further binary redistribution.
# 3. Neither the names of the above-listed copyright holders nor the names
#    of any contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# Alternatively, this software may be distributed under the terms of the
# GNU General Public License ("GPL") version 2 as published by the Free
# Software Foundation.
#
# NO WARRANTY
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF NONINFRINGEMENT, MERCHANTIBILITY
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
# THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY,
# OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGES.
#
# $Id: //depot/sw/linuxsrc/src/802_11/madwifi/madwifi/ath_rate/onoe/Makefile $
#

#
# Makefile for the Atheros Rate Control Support.
#
ifeq ($(obj),)
obj=	.
endif

TOP = $(obj)/../..

obj-m		+= ath_rate_onoe.o
ath_rate_onoe-objs	:= onoe.o

include $(TOP)/Makefile.inc

INCS += -I$(TOP) -I$(ATH) -I$(ATH_HAL) -I$(HAL)

EXTRA_CFLAGS+= $(INCS) $(COPTS)

-include $(TOPDIR)/Rules.make

all:
	$(MAKE) -C $(KERNELPATH) SUBDIRS=$(shell pwd) modules

install:
	test -d $(DESTDIR)/$(KMODPATH) || mkdir -p $(DESTDIR)/$(KMODPATH)
	install ath_rate_onoe.$(KMODSUF) $(DESTDIR)/$(KMODPATH)

clean:
	-rm -f *~ *.o *.ko *.mod.c
	-rm -f .depend .version .*.o.flags .*.o.d .*.o.cmd .*.ko.cmd
	-rm -rf .tmp_versions

ath_rate_onoe.o: $(ath_rate_onoe-objs)
	$(LD) $(LDOPTS) -o ath_rate_onoe.$(KMODSUF) -r $(ath_rate_onoe-objs)

=== fritz/fcdslslusb/src/Makefile ===
# COMMON

CARD		:= fcdslslusb
LIBDIR		:= /var/lib/fritz
OBJECTS		:= main.o driver.o tools.o devif.o tables.o \
		   queue.o lib.o buffers.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h buffers.h common.h \
		   devif.h fw.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$$PWD modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

=== fritz/fwlanusb/src/Makefile ===
# COMMON

CARD		:= fwlanusb
LIBDIR		:= /tmp/lib/fritz/
INSTALLDIR	:= /lib/modules/$(shell uname -r)/extra/
OBJECTS		:= main.o driver.o tools.o lib.o buffers.o wext.o 

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"  
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h tools.h lock.h \
			buffers.h wext.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$(shell pwd) modules 
	       	
clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* Module.symvers $(RM) -r .tmp_versions

$(LIBDIR):	
		if ! test -d $(LIBDIR); then mkdir -p $(LIBDIR); fi

install:	
		@if ! test -d $(INSTALLDIR); then mkdir -p $(INSTALLDIR); fi
		@cp -vf fwlanusb.ko $(INSTALLDIR)
		depmod -a

endif

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook3) hardy; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Mon, 08 Sep 2008 14:06:42 -0400

=== debian/control ===
# THIS FILE IS AUTO-GENERATED FROM control.stub.in
Source: linux-restricted-modules-2.6.24
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Uploaders: Adam Conrad <adconrad@0c3.net>, Ben Collins <ben.collins@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
 kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
 sharutils, bzip2, libgtk2.0-dev [i386 amd64],
 linux-headers-2.6.24-19-386 [i386],
 linux-headers-2.6.24-19-server [amd64 i386],
 linux-headers-2.6.24-19-generic [amd64 i386],
 linux-headers-2.6.24-19-lpia [lpia],
 linux-headers-2.6.24-19-openvz [i386 amd64],
 linux-headers-2.6.24-19-rt [i386 amd64],
 linux-headers-2.6.24-19-xen [amd64 i386],
 linux-headers-2.6.24-19-powerpc [powerpc],
 linux-headers-2.6.24-19-powerpc-smp [powerpc],
 linux-headers-2.6.24-19-powerpc64-smp [powerpc],
 linux-headers-2.6.24-19-mckinley [ia64],
 linux-headers-2.6.24-19-itanium [ia64],
 linux-headers-2.6.24-19-hppa32 [hppa],
 linux-headers-2.6.24-19-hppa64 [hppa],
 linux-headers-2.6.24-19-sparc64-smp [sparc],
 linux-headers-2.6.24-19-sparc64 [sparc]

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.24 modules helper script
 This package provides only a set of helper scripts to handle
 linux-restricted-modules.

Package: linux-restricted-modules-2.6.24-19-386
Architecture: i386
Priority: optional
Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
Depends: linux-image-2.6.24-19-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-19
Description: Non-free Linux 2.6.24 modules on 386
 This package provides restricted modules for Linux version 2.6.24 on
 386.
 Currently the following modules are included:
  - madwifi (Atheros)
  - fglrx (ATI)
  - nvidia
  - fcdsl, fcdsl2, fcdslsl, fcdslslusb, fcdslusb, fcdslusb2, fcdslusba,
    fcpci, fcusb, fwlanusb, fxusb (AVM ISDN)
  - ltmodem (Winmodem)
 . 
 These modules are "restricted" because they are not available under a
 completely Free licence.

Package: nvidia-glx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-kernel-source (>= ${nvidia:Version}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx-legacy, nvidia-glx-new
Replaces: nvidia-glx-src
Provides: xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and support the newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one.

Package: nvidia-glx-dev
Architecture: i386 amd64
Depends: nvidia-glx (>= ${nvidia:Version}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-legacy-dev, nvidia-glx-new-dev
Description: NVIDIA binary XFree86 4.x/X.Org driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org driver
 development files.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx (>= ${nvidia:Version}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src
Replaces: nvidia-kernel-src
Description: NVIDIA binary kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.

Package: nvidia-glx-new
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-new-kernel-source (>= ${nvidia:NewVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx, nvidia-glx-legacy
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the  newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one. If you have a GeForce4, you may need the nvidia-glx
 package.

Package: nvidia-glx-new-dev
Architecture: i386 amd64
Depends: nvidia-glx-new (>= ${nvidia:NewVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev, nvidia-glx-legacy-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'new' driver
 development files.
 .
 This is the 'new' driver for newer chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-new-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-new (>= ${nvidia:NewVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source, nvidia-legacy-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'new' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'new' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.

Package: nvidia-glx-legacy
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-legacy-kernel-source (>= ${nvidia:LegacyVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-glx
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the TNT,
 TNT2, TNT Ultra, GeForce, and GeForce2 chipsets. AGP, TV-out and flat panel
 displays are also supported.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the above paragraph, please use the nvidia-glx driver,
 which is much more up to date.

Package: nvidia-glx-legacy-dev
Architecture: i386 amd64
Depends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 development files.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-legacy-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'legacy' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.

Package: fglrx-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: xorg-driver-fglrx (>= ${ati:XOrgVersion}), kernel-package (>= 8.082), devscripts
Description: ATI binary kernel module source
 This package builds the ATI XFree86 4.x/X.Org binary kernel module needed
 by xorg-driver-fglrx.  This package is not needed on an
 Ubuntu system because a pre-compiled kernel module is supplied by the
 linux-restricted-modules  packages.

Package: xorg-driver-fglrx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), ${shlibs:Depends}
Conflicts: fglrx-driver, xfree86-driver-fglrx, nvidia-glx, nvidia-glx-legacy
Replaces: fglrx-driver, xfree86-driver-fglrx
Provides: fglrx-driver, xserver-xorg-video-2
Description: Video driver for ATI graphics accelerators
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This version of the ATI driver officially supports:
 .
  * FireGL: V8650, V8600, V7600, V7350, V7300, V7200, V7100,
            V5600, V5200, V5100, V5000, HD3870, HD3850, V3600, V3400,
            V3300, V3200, V3100, X3-256, X3, X2-256, Z1-128, T2-128,
            X1-128, X1-256p
  * FireMV: 2200 (Single card PCI-e configuration)
  * Mobility FireGL: V5000, T2
  * Mobility Radeon: X1800, X1600, X1400, X1300, X800, X700, X600, X300,
                     X200, 9800, 9600, 9550, 9500
  * Radeon Xpress: 1200 series, 1100 series, 200 series
  * Radeon: HD2900, HD2600, HD2400, X1900, X1800, X1600, X1300, X850,
            X800, X700, X600, X550, X300, 9800, 9700, 9600, 9550, 9500
 .
 ATI All-in-Wonder variants of the above cards/chips are also supported,
 but video capture is not.
 .
 This package provides 2D display drivers and hardware accelerated OpenGL.

Package: xorg-driver-fglrx-dev
Architecture: i386 amd64
Depends: xorg-driver-fglrx (= ${ati:XOrgFullVersion})
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev
Provides: fglrx-driver-dev
Description: Video driver for ATI graphics accelerators (devel files)
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions
 and the FGLRXGAMMA extension interface library.

Package: fglrx-control
Architecture: i386 amd64
Depends: xorg-driver-fglrx, ${shlibs:Depends}
Conflicts: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Replaces: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Description: Control panel for the ATI graphics accelerators
 Control panel for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides the control panel compiled for Qt3.

Package: fglrx-amdcccle
Architecture: i386 amd64
Depends: fglrx-control
Description: Dummy package for easy transition
 This is a dummy package for easy transition with ATI's packages.

Package: avm-fritz-kernel-source
Architecture: amd64 i386
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: kernel-package (>= 8.082), devscripts

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (c) 2004 Herbert Xu <herbert@gondor.apana.org.au>
# Copyright (c) 2004-2005 Canonical Ltd.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

SHELL := sh -e

prefix := $(CURDIR)/debian/linux-restricted-modules
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
udeb_prefix := $(CURDIR)/debian/d-i-$(DEB_HOST_ARCH)

export CC=gcc
export GCC=gcc

# kernel
abi_version        = $(shell dpkg-parsechangelog | grep ^Version | sed 's/.*-//;s/\..*//')
kernel_version     = $(shell dpkg-parsechangelog | grep ^Source | sed 's/.*-//')
kernel_abi_version = $(kernel_version)-$(abi_version)
lrm_version        = $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}')

# nvidia
nv_base_version=1.0
nv_release := 96.43.05
nv_upstreamversion := ${nv_release}
nv_version := ${nv_release}
nv_new_release := 169.12
nv_new_upstreamversion := ${nv_new_release}
nv_new_version := ${nv_new_release}
nv_legacy_release := 71.86.04
nv_legacy_upstreamversion := ${nv_legacy_release}
nv_legacy_version := ${nv_legacy_release}

# fglrx
ati_xorg_base_version = 7.1.0
ati_revision = 8-3
ati_upstreamversion = ${ati_revision}
ati_xorg_version = ${ati_xorg_base_version}-${ati_revision}
ati_shar = ati-driver-installer-${ati_revision}-x86.x86_64.run

# fritz avm
avm_base_version = 3.11
#avm_version = ${avm_base_version}-${avm_revision}
avm_version = ${avm_base_version}
pkg_avmfw := $(shell awk '/Package: avm-fritz-firmware/ {print $$2}' debian/control.stub)
avmfw_dir = $(subst avm-fritz-firmware-,,$(pkg_avmfw))

# ltmodem
ltm_base_version = 8.31+2.6-alk-9
ltm_url = http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/

# madwifi
madwifi_version = 0.10.0

# broadcom wireless
bcmwl_version = 5.10.27
bcmwl_dir = bcmwl

# vmware-player
vmplay_dir = $(CURDIR)/debian/vmware-player-kernel-modules-$(kernel_abi_version)
vmserv_dir = $(CURDIR)/debian/vmware-server-kernel-modules-$(kernel_abi_version)
vmtool_dir = $(CURDIR)/debian/vmware-tools-kernel-modules-$(kernel_abi_version)

FGLRX   := 1
NVIDIA  := 1
MADWIFI := 1
BCMWL   := 1
FRITZ   := 1
LTMODEM := 1
VMWARE  := 0
VMDESCHED := 1

ifeq "$(DEB_HOST_ARCH)" "i386"
export karch=i386
bcmwl_arch := x86
mw_target := TARGET=i386-elf

nv_filename := NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1.run
nv_dirname := nvidia/NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1
nv_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package = fglrx
ati_url = http://www2.ati.com/drivers/linux/fglrx_${ati_revision}.zip
ati_archdir = x86
ati_nativelibdir = lib
ati_xorg_dir = x710
fritz_dir := fritz
split_fritz_modules += \
		fcdsl/src/fcdsl \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcdslusba/src/fcdslusba \
		fcpci/src/fcpci \
		fcusb/src/fcusb \
		fwlanusb/src/fwlanusb \
		fxusb/src/fxusb
flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server)
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "amd64"
export karch=x86_64
bcmwl_arch := $(karch)
mw_target := TARGET=x86_64-elf

nv_filename := NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2.run
nv_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2
nv_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package := fglrx64
ati_url = http://www2.ati.com/drivers/linux/fglrx64_${ati_revision}.zip
ati_archdir = x86_64
ati_nativelibdir = lib64
ati_xorg_dir = x710_64a
fritz_dir := fritz64
split_fritz_modules += \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcpci/src/fcpci
flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server)
LTMODEM := 0 # no Winmodem support
VMDESCHED := 0
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "ia64"
export karch=ia64
mw_target := TARGET=ia64-elf
flavours := $(addprefix $(kernel_abi_version)-,itanium mckinley)

NVIDIA  := 0 # no real upstream nvidia support
FGLRX   := 0 # no fireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player support
endif

ifeq "$(DEB_HOST_ARCH)" "powerpc"
export karch=powerpc
mw_target := TARGET=powerpc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,powerpc powerpc-smp powerpc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
BCMWL	:= 0 # no Broadcom wireless support yet
endif

ifeq "$(DEB_HOST_ARCH)" "hppa"
export karch=hppa
mw_target := TARGET=hppa-be-elf
flavours := $(addprefix $(kernel_abi_version)-,hppa32 hppa64)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

ifeq "$(DEB_HOST_ARCH)" "lpia"
export karch=i386
bcmwl_arch := x86
mw_target := TARGET=i386-elf
flavours := $(addprefix $(kernel_abi_version)-,lpia)

NVIDIA  := 0 # no nVidia support yet
FGLRX   := 0 # no FireGL support yet
MADWIFI := 1
BCMWL	:= 1
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif


ifeq "$(DEB_HOST_ARCH)" "sparc"
export karch=sparc
mw_target := TARGET=sparc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,sparc64 sparc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

flavours_udeb := $(shell grep ^$(DEB_HOST_ARCH) debian/d-i/kernel-versions | awk '{print $$4}')

split_modules :=
ifeq "$(FGLRX)" "1"
split_modules += ati/build_mod/2.6.x/fglrx
endif
ifeq "$(MADWIFI)" "1"
split_modules += madwifi/ath_hal/ath_hal
endif
ifeq "$(FRITZ)" "1"

## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook4

=== fritz/fcdslsl/src/Makefile ===
# COMMON

CARD		:= fcdslsl
LIBDIR		:= /var/lib/fritz
OBJECTS		:= main.o driver.o tools.o devif.o tables.o queue.o lib.o

ifneq ($(KERNELRELEASE),)

# KERNEL

EXTRA_CFLAGS	+= -D__$(CARD)__ -DTARGET=\"$(CARD)\"
ifndef DEBUG
EXTRA_CFLAGS	+= -DNDEBUG
endif
EXTRA_LDFLAGS	+= $(LIBDIR)/$(CARD)-lib.o

obj-m		:= $(CARD).o
$(CARD)-objs	:= $(OBJECTS)

else

# ARCHIVE

SOURCES		:= $(patsubst %.o,%.c,$(OBJECTS))
HEADERS		:= defs.h driver.h lib.h libdefs.h libstub.h lock.h \
		   main.h queue.h tables.h tools.h common.h devif.h \
		   fw.h

ifeq ($(KDIR),)
KDIR		:= /lib/modules/$(shell uname -r)/build
endif

all:		$(CARD).o
	
$(CARD).o:	$(LIBDIR) $(SOURCES) $(HEADERS)
		@cp -f ../lib/$(CARD)-lib.o $(LIBDIR)
		$(MAKE) -C $(KDIR) SUBDIRS=$$PWD modules

clean:
		$(RM) $(OBJECTS)
		$(RM) $(CARD).o $(CARD).ko 
		@$(RM) .*.cmd $(CARD).mod.* 

$(LIBDIR):	
		mkdir -p $(LIBDIR)

endif

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook4) hardy; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 24 Oct 2008 19:45:05 -0400

## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook4dennis1

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook4dennis1) hardy; urgency=low

  * Updated broadcom driver to version 5_10_27_11. (LP: 274831)

 -- Michael Frey <michael.frey@canonical.com>  Tue, 16 Dec 2008 14:41:35 -0500

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 madwifi_version = 0.10.0
 
 # broadcom wireless
-bcmwl_version = 5.10.27
+bcmwl_version = 5_10_27_11
 bcmwl_dir = bcmwl
 
 # vmware-player
@@ -79,7 +79,9 @@
 
 ifeq "$(DEB_HOST_ARCH)" "i386"
 export karch=i386
-bcmwl_arch := x86
+bcmwl_arch := 32
+bcmwl_pkg := hybrid-portsrc-x86-$(bcmwl_arch)_$(bcmwl_version)
+bcmwl_tarball := $(bcmwl_pkg).tar.gz
 mw_target := TARGET=i386-elf
 
 nv_filename := NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1.run
@@ -121,7 +123,9 @@
 
 ifeq "$(DEB_HOST_ARCH)" "amd64"
 export karch=x86_64
-bcmwl_arch := $(karch)
+bcmwl_arch := 64
+bcmwl_pkg := hybrid-portsrc-x86-$(bcmwl_arch)_$(bcmwl_version)
+bcmwl_tarball := $(bcmwl_pkg).tar.gz
 mw_target := TARGET=x86_64-elf
 
 nv_filename := NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2.run
@@ -201,7 +205,9 @@
 
 ifeq "$(DEB_HOST_ARCH)" "lpia"
 export karch=i386
-bcmwl_arch := x86
+bcmwl_arch := 32
+bcmwl_pkg := hybrid-portsrc-x86-$(bcmwl_arch)_$(bcmwl_version)
+bcmwl_tarball := $(bcmwl_pkg).tar.gz
 mw_target := TARGET=i386-elf
 flavours := $(addprefix $(kernel_abi_version)-,lpia)
 
@@ -229,13 +235,3 @@
 VMWARE  := 0 # no vmware player supportt
 endif
 
-flavours_udeb := $(shell grep ^$(DEB_HOST_ARCH) debian/d-i/kernel-versions | awk '{print $$4}')
-
-split_modules :=
-ifeq "$(FGLRX)" "1"
-split_modules += ati/build_mod/2.6.x/fglrx
-endif
-ifeq "$(MADWIFI)" "1"
-split_modules += madwifi/ath_hal/ath_hal
-endif
-ifeq "$(FRITZ)" "1"

## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook4dennis2

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook4dennis2) hardy; urgency=low

  * Updated Broadcom wl driver to version 5.10.27.14 ( LP: 305348 ). 

 -- Tony Espy <espy@canonical.com>  Tue, 20 Jan 2009 15:33:08 -0500

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 madwifi_version = 0.10.0
 
 # broadcom wireless
-bcmwl_version = 5_10_27_11
+bcmwl_version = 5_10_27_14
 bcmwl_dir = bcmwl
 
 # vmware-player
